//
//  ClScrFacturacio.h
//  TaxControl
//
//  Created by Javier Cava García on 06/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Factura.h"


@interface ClScrFacturacio : UIViewController
{
    NSManagedObjectContext *managedObjectContext;
    NSMutableArray *TipusFacturesArray;

    NSMutableArray *TipusDIVAArray;
}
// Control Core Data
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
// Array Tipus de factures
@property (nonatomic, retain) NSMutableArray *TipusFacturesArray;

// Array Tipus d'IVA
@property (nonatomic, retain) NSMutableArray *TipusDIVAArray;
// Outlets
@property (weak, nonatomic) IBOutlet UITextField *txtTipusFactura;
@property (weak, nonatomic) IBOutlet UITextField *txtConcepte;
@property (weak, nonatomic) IBOutlet UITextField *txtNIFCIF;
@property (weak, nonatomic) IBOutlet UITextField *txtRaoSocial;
@property (weak, nonatomic) IBOutlet UITextField *txtBaseFactura;
@property (weak, nonatomic) IBOutlet UITextField *txtTipusDIVA;

@property (weak, nonatomic) IBOutlet UIStepper *stepTipusFactura;
@property (weak, nonatomic) IBOutlet UIStepper *stepTrimestre;
@property (weak, nonatomic) IBOutlet UIStepper *stepTipusDIVA;

// IBOutlet Data
@property (weak, nonatomic) IBOutlet UIDatePicker *datePicker;
// IBOutlet botó gravar
@property (weak, nonatomic) IBOutlet UIButton *btngravar;
// Actions
- (IBAction)tipusFChgValue:(id)sender;
- (IBAction)tipusIVAChgValue:(id)sender;
// Ocultar teclat 
-(IBAction) txtDoneEditing : (id) sender;
// Edicio
@property (nonatomic,copy) NSNumber *edicio;  // 1 -> Mode edicio
@property (nonatomic,retain) Factura *FacturaEdit; // id  a editar

@end
