//
//  Categoria.h
//  TaxControl
//
//  Created by Javier Cava García on 15/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class SubCategoria;

@interface Categoria : NSManagedObject

@property (nonatomic, retain) NSString * txt;
@property (nonatomic, retain) NSSet *subcategoria;
@end

@interface Categoria (CoreDataGeneratedAccessors)

- (void)addSubcategoriaObject:(SubCategoria *)value;
- (void)removeSubcategoriaObject:(SubCategoria *)value;
- (void)addSubcategoria:(NSSet *)values;
- (void)removeSubcategoria:(NSSet *)values;

@end
