//
//  SubCategoria.h
//  TaxControl
//
//  Created by Javier Cava García on 15/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Categoria, Despesa, ImportFixe, TipusDIVA;

@interface SubCategoria : NSManagedObject

@property (nonatomic, retain) NSString * txt;
@property (nonatomic, retain) Categoria *categoria;
@property (nonatomic, retain) TipusDIVA *iva;
@property (nonatomic, retain) NSSet *despeses;
@property (nonatomic, retain) NSSet *importfixe;
@end

@interface SubCategoria (CoreDataGeneratedAccessors)

- (void)addDespesesObject:(Despesa *)value;
- (void)removeDespesesObject:(Despesa *)value;
- (void)addDespeses:(NSSet *)values;
- (void)removeDespeses:(NSSet *)values;

- (void)addImportfixeObject:(ImportFixe *)value;
- (void)removeImportfixeObject:(ImportFixe *)value;
- (void)addImportfixe:(NSSet *)values;
- (void)removeImportfixe:(NSSet *)values;

@end
