//
//  TipusFactura.h
//  TaxControl
//
//  Created by Javier Cava García on 15/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Factura;

@interface TipusFactura : NSManagedObject

@property (nonatomic, retain) NSString * txt;
@property (nonatomic, retain) NSSet *factures;
@end

@interface TipusFactura (CoreDataGeneratedAccessors)

- (void)addFacturesObject:(Factura *)value;
- (void)removeFacturesObject:(Factura *)value;
- (void)addFactures:(NSSet *)values;
- (void)removeFactures:(NSSet *)values;

@end
