//
//  CLScrMail.m
//  TaxControl
//
//  Created by Javier Cava García on 22/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import "CLScrMail.h"
#import "Mail.h"

@interface CLScrMail ()
{
    ClComunes *funcComunes;
}
@end

@implementation CLScrMail

@synthesize managedObjectContext;
@synthesize txtMail;
@synthesize MailArray;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    [super viewDidLoad];
    // Establim el fons
    self.view.backgroundColor = [[UIColor alloc] initWithPatternImage:[UIImage       imageNamed:@"Background.png"]];
    // Intanciem comunes
    funcComunes = [ClComunes alloc];
    // Obtenim les dades necessaries per la gestió del Coredata
    managedObjectContext = [funcComunes get_mngObj:managedObjectContext];
    // Carreguem les dades que hi ha
    NSMutableArray *mutableFetchResults = [funcComunes set_mail:managedObjectContext];
    [self setMailArray:mutableFetchResults];
    if (MailArray != nil)
    {
        Mail *lMail = [MailArray objectAtIndex:0];
        txtMail.text = lMail.mail;
    }

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

// Grabacio mail
- (IBAction)btnSave:(UIButton *)sender
{
    
    NSError *error;
    // Guardar
    if ( MailArray == nil)
    {
        Mail *lMail = [NSEntityDescription
                           insertNewObjectForEntityForName:@"Mail"
                           inManagedObjectContext:managedObjectContext];
        [lMail setMail:txtMail.text];
    }
    else
    {
        
        Mail *lMail = (Mail *) [MailArray objectAtIndex:0];
        [lMail setMail:txtMail.text];
    }
    // Set de la categoria al persitent store
    if (![managedObjectContext save:&error]) {
        // Handle the error.
        [funcComunes msg_pantalla:@"Error al gravar el mail"];
    } else
    {
        //Mostrem misstatge
        [funcComunes msg_pantalla:@"Mail gravat  correctament!"];
        // Carreguem les dades que hi ha
        NSMutableArray *mutableFetchResults = [funcComunes set_mail:managedObjectContext];
        [self setMailArray:mutableFetchResults];
    }
}




// Ocultar teclat
-(IBAction) txtDoneEditing : (id) sender{
    [sender resignFirstResponder];
}

@end
