//
//  ClScrDespeses.h
//  TaxControl
//
//  Created by Javier Cava García on 18/10/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"
#import "Despesa.h"

@interface ClScrDespeses : UIViewController

// Array Subcategories
@property (nonatomic, retain) NSMutableArray *SubCategoriesArray;
// Control Core Data
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
// IBOutlet Data
@property (weak, nonatomic) IBOutlet UIDatePicker *datePicker;
// IBOutlet Categoria
@property (weak, nonatomic) IBOutlet UITextField *txtCategoria;
// IBOutlet Subcategoria
@property (weak, nonatomic) IBOutlet UITextField *txtSubCat;
// IBOutlet Import de la despesa
@property (weak, nonatomic) IBOutlet UITextField *txtImport;
// IBOutlet Import d'IVA
@property (weak, nonatomic) IBOutlet UITextField *txtImportIVA;
// IBOutlet Tipus d'IVA
@property (weak, nonatomic) IBOutlet UITextField *txtTipusIVA;
// IBOutlet % IVA
@property (weak, nonatomic) IBOutlet UITextField *txtPorcenIVA;
@property (weak, nonatomic) IBOutlet UIStepper *stepCategoria;

// Control StepCategoria
- (IBAction)stepCategoriaChangeValue:(id)sender;

// Fi edicio import IVA
- (IBAction)txtImportEnd:(id)sender;
// Canvi valor IVA
- (IBAction)txtImportIvaValChg:(id)sender;
// IBOUtlet Concepte
@property (weak, nonatomic) IBOutlet UITextField *txtConcepte;
// Accio gravar
- (IBAction)btnSave:(id)sender;
// Outlet botó gravar
@property (weak, nonatomic) IBOutlet UIButton *btngravar;
// Fi edicio concepte
- (IBAction)txtConcepteEnd:(id)sender;

@property (nonatomic,copy) NSNumber *edicio;  // 1 -> Mode edicio
@property (nonatomic,retain) Despesa *DespesaEdit; // id  a editar

@end
