//
//  ClScrImportacio.m
//  TaxControl
//
//  Created by Javier Cava García on 16/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import "ClScrImportacio.h"

@interface ClScrImportacio ()

@end

@implementation ClScrImportacio
{
    ClComunes *funcComunes;
}
@synthesize pageController;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

-(void)viewDidAppear:(BOOL)animated
{
    //self.screenNumber.text = [NSString stringWithFormat:@"Screen #%d", self.index];

}

- (void)viewDidLoad
{
    [super viewDidLoad];
    @try {
        // Do any additional setup after loading the view.
        self.pageController = [[UIPageViewController alloc] initWithTransitionStyle:UIPageViewControllerTransitionStyleScroll
                                                              navigationOrientation:UIPageViewControllerNavigationOrientationHorizontal options:nil];
        
        self.pageController.dataSource = self;
        [[self.pageController view] setFrame:[[self view] bounds]];
        
        ClScrImportacio *initialViewController = [self viewControllerAtIndex:0];
        
        NSArray *viewControllers = [NSArray arrayWithObject:initialViewController];
        
        [self.pageController setViewControllers:viewControllers direction:UIPageViewControllerNavigationDirectionForward animated:NO completion:nil];
        
        [self addChildViewController:self.pageController];
        [[self view] addSubview:[self.pageController view]];
        [self.pageController didMoveToParentViewController:self];
        
    }
    @catch (NSException *exception) {
        [funcComunes msg_excepcio:exception];
    }
}


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerBeforeViewController:(UIViewController *)viewController {
    
    NSUInteger index = [(ClScrImportacio *)viewController index];
    
    if (index == 0) {
        return nil;
    }
    
    index--;
    
    return [self viewControllerAtIndex:index];
    
}

- (UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerAfterViewController:(UIViewController *)viewController {
    
    NSUInteger index = [(ClScrImportacio *)viewController index];
    
    index++;
    
    
    if (index > 2) {
        index = 0;
        //return nil;
    }
    
    return [self viewControllerAtIndex:index];
    
}

- (ClScrImportacio *)viewControllerAtIndex:(NSUInteger)index {
    
    
    ClScrImportacio *childViewController;
    switch (index) {
        case 0:
        {
            childViewController = [self.storyboard instantiateViewControllerWithIdentifier:@"ViewImportacioCat"];
            childViewController.index = index;
            break;
        }
        case 1:
        {
            childViewController = [self.storyboard instantiateViewControllerWithIdentifier:@"ViewImportacioSubCat"];
                        childViewController.index = index;
            break;
        }
            
        case 2:
        {
            childViewController = [self.storyboard instantiateViewControllerWithIdentifier:@"ViewImportacioTIVA"];
                        childViewController.index = index;
            break;
        }
            
        default:
            break;
    }
    
    
    return childViewController;
    
}

- (NSInteger)presentationCountForPageViewController:(UIPageViewController *)pageViewController {
    // The number of items reflected in the page indicator.
    return 3;
}

- (NSInteger)presentationIndexForPageViewController:(UIPageViewController *)pageViewController {
    // The selected item reflected in the page indicator.
    return 0;
}

@end
