//
//  ClScrTrajectes.h
//  TaxControl
//
//  Created by Javier Cava García on 18/10/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "AppDelegate.h"
#import "Trajecte.h"

@interface ClScrTrajectes : UIViewController

// Control Core Data
@property (nonatomic, retain) NSManagedObjectContext *managedObjectContext;
// IBOutlet Data
@property (weak, nonatomic) IBOutlet UIDatePicker *datePicker;
// Accio gravar
- (IBAction)btnSave:(id)sender;

@property (weak, nonatomic) IBOutlet UITextField *txtOrigen;
@property (weak, nonatomic) IBOutlet UITextField *txtDesti;
@property (weak, nonatomic) IBOutlet UITextField *txtKm;

// Outlet botó gravar
@property (weak, nonatomic) IBOutlet UIButton *btngravar;
// Ocultar teclat
-(IBAction) txtDoneEditing : (id) sender;

@property (nonatomic,copy) NSNumber *edicio;  // 1 -> Mode edicio
@property (nonatomic,retain) Trajecte *TrajecteEdit; // id  a editar

// Array Km ( unicament tindra una entrada =
@property (nonatomic, retain) NSMutableArray *kmArray;
// Boto intercanvi
- (IBAction)btnIntercanvi:(id)sender;

@end
