//
//  TipusDIVA.h
//  TaxControl
//
//  Created by Javier Cava García on 15/11/13.
//  Copyright (c) 2013 Javier Cava García. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Factura, SubCategoria;

@interface TipusDIVA : NSManagedObject

@property (nonatomic, retain) NSNumber * percent;
@property (nonatomic, retain) NSString * txt;
@property (nonatomic, retain) NSSet *factures;
@property (nonatomic, retain) NSSet *subcategoria;
@end

@interface TipusDIVA (CoreDataGeneratedAccessors)

- (void)addFacturesObject:(Factura *)value;
- (void)removeFacturesObject:(Factura *)value;
- (void)addFactures:(NSSet *)values;
- (void)removeFactures:(NSSet *)values;

- (void)addSubcategoriaObject:(SubCategoria *)value;
- (void)removeSubcategoriaObject:(SubCategoria *)value;
- (void)addSubcategoria:(NSSet *)values;
- (void)removeSubcategoria:(NSSet *)values;

@end
